## fcitx5-zhuyin 5.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)

project(fcitx5-zhuyin VERSION 5.0.10)

find_package(ECM 1.0.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

find_package(Gettext REQUIRED)
find_package(Fcitx5Core 5.0.2 REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase)
find_package(PkgConfig REQUIRED)
find_package(fmt REQUIRED)

set(LIBZHUYIN_DATABASE_FORMAT "KyotoCabinet" CACHE STRING "When can't detect dbformat fallback to this option")

if (TARGET fmt::fmt-header-only)
  set(FMT_TARGET fmt::fmt-header-only)
else()
  set(FMT_TARGET fmt::fmt)
endif ()
pkg_check_modules(LibZhuyin REQUIRED IMPORTED_TARGET "libzhuyin>=2.3.0")

add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-zhuyin\")
fcitx5_add_i18n_definition()
if (EXISTS ${LibZhuyin_LIBDIR}/libpinyin/data/table.conf)
    file(STRINGS ${LibZhuyin_LIBDIR}/libpinyin/data/table.conf LIBPINYIN_DATABASE_FORMAT REGEX "database format")
    set(DATABASE_FORMAT "${LIBPINYIN_DATABASE_FORMAT}")
else()
    message(WARNING "Could not detect database format for libpinyin, fallback to ${LIBZHUYIN_DATABASE_FORMAT}")
    set(DATABASE_FORMAT "database format:${LIBZHUYIN_DATABASE_FORMAT}")
endif()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)
enable_testing()
add_subdirectory(test)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Zhuyin.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.Zhuyin.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Zhuyin.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-zhuyin (5.0.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Monitor upstream dict tarball.
  * debian/rules: Explicitly enable lto build.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jul 2022 17:16:53 -0400

fcitx5-zhuyin (5.0.8-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 May 2022 20:03:36 -0400

=== debian/control ===
Source: fcitx5-zhuyin
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev,
 gettext,
 libfcitx5core-dev,
 libfmt-dev,
 libpinyin-dev,
 libpinyin-utils,
 libzhuyin-dev,
 pkg-config,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-zhuyin
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-zhuyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-zhuyin

Package: fcitx5-zhuyin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Description: Libzhuyin Wrapper for Fcitx5
 This package provides the libzhuyin wrapper for Fcitx5 Input Method
 Framework.

## fcitx5-zhuyin 5.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-zhuyin VERSION 5.0.10)
+project(fcitx5-zhuyin VERSION 5.0.11)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== data/CMakeLists.txt ===
install(DIRECTORY 48x48 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)


find_program(LIBPINYIN_GEN_BINARY_FILES gen_binary_files HINTS "${LIBPINYIN_EXECPREFIX}/bin")
find_program(LIBPINYIN_GEN_UNIGRAM gen_unigram HINTS "${LIBPINYIN_EXECPREFIX}/bin")
find_program(LIBPINYIN_IMPORT_INTERPOLATION import_interpolation HINTS "${LIBPINYIN_EXECPREFIX}/bin")

set(_LIBPINYIN_TABLE gb_char gbk_char merged)

foreach(f ${_LIBPINYIN_TABLE})
    set(_LIBPINYIN_TABLE_FILES ${_LIBPINYIN_TABLE_FILES} "${f}.table")
    set(_LIBPINYIN_BIN_FILES ${_LIBPINYIN_BIN_FILES} "${f}.bin")
    set(_LIBPINYIN_GEN_BIN_FILES ${_LIBPINYIN_GEN_BIN_FILES} "${CMAKE_CURRENT_BINARY_DIR}/${f}.bin")
endforeach()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf.in ${CMAKE_CURRENT_BINARY_DIR}/table.conf @ONLY)

set(ZHUYIN_DATA_FILE_NAME model.text.20161206.tar.gz)
set(ZHUYIN_URL "https://download.fcitx-im.org/data/${ZHUYIN_DATA_FILE_NAME}")
set(ZHUYIN_ORGDATA ${_LIBPINYIN_TABLE_FILES} interpolation2.text)
set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin
                pinyin_index.bin addon_phrase_index.bin addon_pinyin_index.bin)

fcitx5_download(zhuyin_data_tar "${ZHUYIN_URL}" "${ZHUYIN_DATA_FILE_NAME}" 5c7024e5735389c471f54b867eda0d98c5a40a5e5e75333a9febac107508f704)
fcitx5_extract(zhuyin-data-extract "${ZHUYIN_DATA_FILE_NAME}"
  DEPENDS zhuyin_data_tar OUTPUT ${ZHUYIN_ORGDATA})

add_custom_command(OUTPUT ${ZHUYIN_DATA}
  DEPENDS ${ZHUYIN_ORGDATA} zhuyin-data-extract
  COMMAND "${CMAKE_COMMAND}" -E remove ${ZHUYIN_DATA}
  COMMAND "${LIBPINYIN_GEN_BINARY_FILES}"
  --table-dir "${CMAKE_CURRENT_BINARY_DIR}"
  COMMAND "${LIBPINYIN_IMPORT_INTERPOLATION}"
  < "${CMAKE_CURRENT_BINARY_DIR}/interpolation2.text"
  COMMAND "${LIBPINYIN_GEN_UNIGRAM}")

add_custom_target(zhuyin_data ALL DEPENDS ${ZHUYIN_DATA})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/bigram.db
              ${_LIBPINYIN_GEN_BIN_FILES}
              ${CMAKE_CURRENT_BINARY_DIR}/phrase_index.bin
              ${CMAKE_CURRENT_BINARY_DIR}/pinyin_index.bin
              ${CMAKE_CURRENT_BINARY_DIR}/addon_phrase_index.bin
              ${CMAKE_CURRENT_BINARY_DIR}/addon_pinyin_index.bin
              ${CMAKE_CURRENT_BINARY_DIR}/table.conf
              easysymbols.txt
        DESTINATION "${FCITX_INSTALL_PKGDATADIR}/zhuyin")

install(FILES zhuyin.lua
        DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi/extensions")

=== src/CMakeLists.txt ===
add_library(zhuyin-lib STATIC
    zhuyinbuffer.cpp
    zhuyincandidate.cpp
    zhuyinsection.cpp
    zhuyinsymbol.cpp
)
target_link_libraries(zhuyin-lib Fcitx5::Core PkgConfig::LibZhuyin)
set_property(TARGET zhuyin-lib PROPERTY POSITION_INDEPENDENT_CODE ON)

add_library(zhuyin MODULE zhuyinengine.cpp)
target_link_libraries(zhuyin Fcitx5::Core Fcitx5::Config Fcitx5::Module::QuickPhrase PkgConfig::LibZhuyin ${FMT_TARGET} zhuyin-lib)
set_target_properties(zhuyin PROPERTIES PREFIX "")
install(TARGETS zhuyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(zhuyin.conf.in zhuyin.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zhuyin.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
configure_file(zhuyin-addon.conf.in.in zhuyin-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/zhuyin-addon.conf.in" zhuyin-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zhuyin-addon.conf" RENAME zhuyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-zhuyin (5.0.11-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Specify version of libzhuyin-dev as build-dep due to SONAME bump

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 22 Nov 2022 11:23:18 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libfmt-dev,
  libpinyin-dev,
  libpinyin-utils,
- libzhuyin-dev,
+ libzhuyin-dev (>= 2.7.92),
  pkg-config,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://download.fcitx-im.org/fcitx5/fcitx5-zhuyin/ \
 @PACKAGE@-@ANY_VERSION@_dict@ARCHIVE_EXT@

## fcitx5-zhuyin 5.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-zhuyin VERSION 5.0.11)
+project(fcitx5-zhuyin VERSION 5.0.12)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-zhuyin (5.0.12-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 13 Jun 2023 19:18:02 +0200

fcitx5-zhuyin (5.0.12-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on libzhuyin-dev >= 2.8.1 (LP: #2019911)
  * Bump Standards-Version to 4.6.2

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 17 May 2023 04:32:14 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
  libfmt-dev,
  libpinyin-dev,
  libpinyin-utils,
- libzhuyin-dev (>= 2.7.92),
+ libzhuyin-dev (>= 2.8.1),
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-zhuyin
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-zhuyin.git

## fcitx5-zhuyin 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-zhuyin VERSION 5.0.12)
+project(fcitx5-zhuyin VERSION 5.1.0)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-install(DIRECTORY 48x48 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
+install(DIRECTORY 16x16 22x22 24x24 48x48 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
         PATTERN .* EXCLUDE
         PATTERN *~ EXCLUDE)

=== debian/changelog ===
fcitx5-zhuyin (5.1.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:27 +1100

fcitx5-zhuyin (5.1.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:20:03 +0000

fcitx5-zhuyin (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:26:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fcitx5-zhuyin
 Priority: optional
 Section: utils
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -10,7 +11,7 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev,
+ libfcitx5core-dev (>= 5.1),
  libfmt-dev,
  libpinyin-dev,
  libpinyin-utils,

## fcitx5-zhuyin 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-zhuyin VERSION 5.1.0)
+project(fcitx5-zhuyin VERSION 5.1.1)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-zhuyin (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 May 2024 18:35:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-zhuyin
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -16,8 +15,8 @@
  libpinyin-dev,
  libpinyin-utils,
  libzhuyin-dev (>= 2.8.1),
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-zhuyin
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-zhuyin.git

## fcitx5-zhuyin 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-zhuyin VERSION 5.1.1)
+project(fcitx5-zhuyin VERSION 5.1.2)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-zhuyin (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 15:32:34 -0400

## fcitx5-zhuyin 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
-cmake_minimum_required(VERSION 3.4.0)
+cmake_minimum_required(VERSION 3.12)
 
-project(fcitx5-zhuyin VERSION 5.1.2)
+project(fcitx5-zhuyin VERSION 5.1.3)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -10,7 +11,7 @@
 include(ECMUninstallTarget)
 
 find_package(Gettext REQUIRED)
-find_package(Fcitx5Core 5.0.2 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase)
 find_package(PkgConfig REQUIRED)
 find_package(fmt REQUIRED)

=== debian/changelog ===
fcitx5-zhuyin (5.1.3-1) unstable; urgency=medium

  * new upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 18:10:23 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.1),
+ libfcitx5core-dev (>= 5.1.12),
  libfmt-dev,
  libpinyin-dev,
  libpinyin-utils,

## fcitx5-zhuyin 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.12)
 
-project(fcitx5-zhuyin VERSION 5.1.3)
+project(fcitx5-zhuyin VERSION 5.1.4)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -14,15 +14,9 @@
 find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase)
 find_package(PkgConfig REQUIRED)
-find_package(fmt REQUIRED)
 
 set(LIBZHUYIN_DATABASE_FORMAT "KyotoCabinet" CACHE STRING "When can't detect dbformat fallback to this option")
 
-if (TARGET fmt::fmt-header-only)
-  set(FMT_TARGET fmt::fmt-header-only)
-else()
-  set(FMT_TARGET fmt::fmt)
-endif ()
 pkg_check_modules(LibZhuyin REQUIRED IMPORTED_TARGET "libzhuyin>=2.3.0")
 
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-zhuyin\")
@@ -34,6 +28,10 @@
     message(WARNING "Could not detect database format for libpinyin, fallback to ${LIBZHUYIN_DATABASE_FORMAT}")
     set(DATABASE_FORMAT "database format:${LIBZHUYIN_DATABASE_FORMAT}")
 endif()
+
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

=== debian/changelog ===
fcitx5-zhuyin (5.1.4-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:58:19 -0400

fcitx5-zhuyin (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 14:02:34 -0400

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.1.12),
+ libfcitx5core-dev (>= 5.1.14-4~),
  libfmt-dev,
  libpinyin-dev,
  libpinyin-utils,
  libzhuyin-dev (>= 2.8.1),
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-zhuyin
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-zhuyin.git

## fcitx5-zhuyin 5.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 
-project(fcitx5-zhuyin VERSION 5.1.4)
+project(fcitx5-zhuyin VERSION 5.1.5)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -17,13 +17,13 @@
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf.in ${CMAKE_CURRENT_BINARY_DIR}/table.conf @ONLY)
 
-set(ZHUYIN_DATA_FILE_NAME model.text.20161206.tar.gz)
+set(ZHUYIN_DATA_FILE_NAME model.text.20241103.tar.zst)
 set(ZHUYIN_URL "https://download.fcitx-im.org/data/${ZHUYIN_DATA_FILE_NAME}")
 set(ZHUYIN_ORGDATA ${_LIBPINYIN_TABLE_FILES} interpolation2.text)
 set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin
                 pinyin_index.bin addon_phrase_index.bin addon_pinyin_index.bin)
 
-fcitx5_download(zhuyin_data_tar "${ZHUYIN_URL}" "${ZHUYIN_DATA_FILE_NAME}" 5c7024e5735389c471f54b867eda0d98c5a40a5e5e75333a9febac107508f704)
+fcitx5_download(zhuyin_data_tar "${ZHUYIN_URL}" "${ZHUYIN_DATA_FILE_NAME}" bb4a9789b6e0fde1c6547f659ce591de5e691ee3a8345d3c1c74eaf92b31ea48)
 fcitx5_extract(zhuyin-data-extract "${ZHUYIN_DATA_FILE_NAME}"
   DEPENDS zhuyin_data_tar OUTPUT ${ZHUYIN_ORGDATA})

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-zhuyin)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-add_library(zhuyin-lib STATIC
+add_library(zhuyin-lib OBJECT
     zhuyinbuffer.cpp
     zhuyincandidate.cpp
     zhuyinsection.cpp
@@ -7,7 +7,7 @@
 target_link_libraries(zhuyin-lib Fcitx5::Core PkgConfig::LibZhuyin)
 set_property(TARGET zhuyin-lib PROPERTY POSITION_INDEPENDENT_CODE ON)
 
-add_library(zhuyin MODULE zhuyinengine.cpp)
+add_fcitx5_addon(zhuyin zhuyinengine.cpp)
 target_link_libraries(zhuyin Fcitx5::Core Fcitx5::Config Fcitx5::Module::QuickPhrase PkgConfig::LibZhuyin ${FMT_TARGET} zhuyin-lib)
 set_target_properties(zhuyin PROPERTIES PREFIX "")
 install(TARGETS zhuyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)

add_executable(testzhuyinbuffer testzhuyinbuffer.cpp)
target_link_libraries(testzhuyinbuffer Fcitx5::Core PkgConfig::LibZhuyin zhuyin-lib)
target_include_directories(testzhuyinbuffer PRIVATE ../src ${CMAKE_CURRENT_BINARY_DIR})
add_test(NAME testzhuyinbuffer COMMAND testzhuyinbuffer)

=== debian/changelog ===
fcitx5-zhuyin (5.1.5-2) unstable; urgency=medium

  * debian/control: Move description to source package section.
  * Rebuild against libpinyin 2.10.3.
  * debian/control: Build-dep on libpinyin15-dev instead of the
    virtual libpinyin-dev for now.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Oct 2025 15:10:01 -0400

fcitx5-zhuyin (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:57:13 -0400

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,18 @@
  gettext,
  libfcitx5core-dev (>= 5.1.14-4~),
  libfmt-dev,
- libpinyin-dev,
- libpinyin-utils,
- libzhuyin-dev (>= 2.8.1),
+ libpinyin15-dev (>= 2.10),
+ libpinyin-utils (>= 2.10),
+ libzhuyin-dev (>= 2.10),
  pkgconf,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-zhuyin
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-zhuyin.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-zhuyin
+Description: Libzhuyin Wrapper for Fcitx5
+ This package provides the libzhuyin wrapper for Fcitx5 Input Method
+ Framework.
 
 Package: fcitx5-zhuyin
 Architecture: any
@@ -29,6 +32,5 @@
  ${shlibs:Depends},
 Recommends:
  fcitx5,
-Description: Libzhuyin Wrapper for Fcitx5
- This package provides the libzhuyin wrapper for Fcitx5 Input Method
- Framework.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}

=== debian/watch ===
version=4
opts="pgpmode=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://download.fcitx-im.org/fcitx5/fcitx5-zhuyin/ \
 @PACKAGE@-@ANY_VERSION@_dict@ARCHIVE_EXT@

## fcitx5-zhuyin 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 
-project(fcitx5-zhuyin VERSION 5.1.5)
+project(fcitx5-zhuyin VERSION 5.1.6)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
@@ -35,11 +35,20 @@
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 
+option(ENABLE_TEST "Build Test" On)
+option(ENABLE_DATA "Build data" On)
+
 add_subdirectory(po)
 add_subdirectory(src)
-add_subdirectory(data)
-enable_testing()
-add_subdirectory(test)
+
+if(ENABLE_DATA)
+    add_subdirectory(data)
+endif()
+
+if(ENABLE_TEST)
+    enable_testing()
+    add_subdirectory(test)
+endif()
 
 fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Zhuyin.metainfo.xml.in
                               org.fcitx.Fcitx5.Addon.Zhuyin.metainfo.xml XML)

=== debian/changelog ===
fcitx5-zhuyin (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 11:26:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: fcitx5-zhuyin
-Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
@@ -16,8 +15,7 @@
  libpinyin-utils (>= 2.10),
  libzhuyin-dev (>= 2.10),
  pkgconf,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-zhuyin
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-zhuyin.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-zhuyin
